OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.VertexBufferUnifiedMemory

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVVertexBufferUnifiedMemory :: MonadIO m => m Bool
- gl_NV_vertex_buffer_unified_memory :: Bool
- gl_COLOR_ARRAY_ADDRESS_NV :: GLenum
- gl_COLOR_ARRAY_LENGTH_NV :: GLenum
- gl_DRAW_INDIRECT_ADDRESS_NV :: GLenum
- gl_DRAW_INDIRECT_LENGTH_NV :: GLenum
- gl_DRAW_INDIRECT_UNIFIED_NV :: GLenum
- gl_EDGE_FLAG_ARRAY_ADDRESS_NV :: GLenum
- gl_EDGE_FLAG_ARRAY_LENGTH_NV :: GLenum
- gl_ELEMENT_ARRAY_ADDRESS_NV :: GLenum
- gl_ELEMENT_ARRAY_LENGTH_NV :: GLenum
- gl_ELEMENT_ARRAY_UNIFIED_NV :: GLenum
- gl_FOG_COORD_ARRAY_ADDRESS_NV :: GLenum
- gl_FOG_COORD_ARRAY_LENGTH_NV :: GLenum
- gl_INDEX_ARRAY_ADDRESS_NV :: GLenum
- gl_INDEX_ARRAY_LENGTH_NV :: GLenum
- gl_NORMAL_ARRAY_ADDRESS_NV :: GLenum
- gl_NORMAL_ARRAY_LENGTH_NV :: GLenum
- gl_SECONDARY_COLOR_ARRAY_ADDRESS_NV :: GLenum
- gl_SECONDARY_COLOR_ARRAY_LENGTH_NV :: GLenum
- gl_TEXTURE_COORD_ARRAY_ADDRESS_NV :: GLenum
- gl_TEXTURE_COORD_ARRAY_LENGTH_NV :: GLenum
- gl_VERTEX_ARRAY_ADDRESS_NV :: GLenum
- gl_VERTEX_ARRAY_LENGTH_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_ADDRESS_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_LENGTH_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_UNIFIED_NV :: GLenum
- glBufferAddressRangeNV :: MonadIO m => GLenum -> GLuint -> GLuint64EXT -> GLsizeiptr -> m ()
- glColorFormatNV :: MonadIO m => GLint -> GLenum -> GLsizei -> m ()
- glEdgeFlagFormatNV :: MonadIO m => GLsizei -> m ()
- glFogCoordFormatNV :: MonadIO m => GLenum -> GLsizei -> m ()
- glGetIntegerui64i_vNV :: MonadIO m => GLenum -> GLuint -> Ptr GLuint64EXT -> m ()
- glIndexFormatNV :: MonadIO m => GLenum -> GLsizei -> m ()
- glNormalFormatNV :: MonadIO m => GLenum -> GLsizei -> m ()
- glSecondaryColorFormatNV :: MonadIO m => GLint -> GLenum -> GLsizei -> m ()
- glTexCoordFormatNV :: MonadIO m => GLint -> GLenum -> GLsizei -> m ()
- glVertexAttribFormatNV :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLsizei -> m ()
- glVertexAttribIFormatNV :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> m ()
- glVertexFormatNV :: MonadIO m => GLint -> GLenum -> GLsizei -> m ()

# Extension Support

glGetNVVertexBufferUnifiedMemory :: MonadIO m => m Bool

Is the NV_vertex_buffer_unified_memory extension supported?

gl_NV_vertex_buffer_unified_memory :: Bool

Is the NV_vertex_buffer_unified_memory extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVertexBufferUnifiedMemory` in those cases instead.

# Enums

gl_COLOR_ARRAY_ADDRESS_NV :: GLenum

gl_COLOR_ARRAY_LENGTH_NV :: GLenum

gl_DRAW_INDIRECT_ADDRESS_NV :: GLenum

gl_DRAW_INDIRECT_LENGTH_NV :: GLenum

gl_DRAW_INDIRECT_UNIFIED_NV :: GLenum

gl_EDGE_FLAG_ARRAY_ADDRESS_NV :: GLenum

gl_EDGE_FLAG_ARRAY_LENGTH_NV :: GLenum

gl_ELEMENT_ARRAY_ADDRESS_NV :: GLenum

gl_ELEMENT_ARRAY_LENGTH_NV :: GLenum

gl_ELEMENT_ARRAY_UNIFIED_NV :: GLenum

gl_FOG_COORD_ARRAY_ADDRESS_NV :: GLenum

gl_FOG_COORD_ARRAY_LENGTH_NV :: GLenum

gl_INDEX_ARRAY_ADDRESS_NV :: GLenum

gl_INDEX_ARRAY_LENGTH_NV :: GLenum

gl_NORMAL_ARRAY_ADDRESS_NV :: GLenum

gl_NORMAL_ARRAY_LENGTH_NV :: GLenum

gl_SECONDARY_COLOR_ARRAY_ADDRESS_NV :: GLenum

gl_SECONDARY_COLOR_ARRAY_LENGTH_NV :: GLenum

gl_TEXTURE_COORD_ARRAY_ADDRESS_NV :: GLenum

gl_TEXTURE_COORD_ARRAY_LENGTH_NV :: GLenum

gl_VERTEX_ARRAY_ADDRESS_NV :: GLenum

gl_VERTEX_ARRAY_LENGTH_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY_ADDRESS_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY_LENGTH_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY_UNIFIED_NV :: GLenum

# Functions

glBufferAddressRangeNV

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLuint | `index`.
-> GLuint64EXT | `address`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> m () |

glColorFormatNV

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glEdgeFlagFormatNV

Arguments

:: MonadIO m |
=> GLsizei | `stride`.
-> m () |

glFogCoordFormatNV

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glGetIntegerui64i_vNV

Arguments

:: MonadIO m |
=> GLenum | `value`.
-> GLuint | `index`.
-> Ptr GLuint64EXT | `result` pointing to `COMPSIZE(value)` elements of type `GLuint64EXT`.
-> m () |

glIndexFormatNV

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glNormalFormatNV

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glSecondaryColorFormatNV

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glTexCoordFormatNV

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glVertexAttribFormatNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLsizei | `stride`.
-> m () |

glVertexAttribIFormatNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |

glVertexFormatNV

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |